# Load default processing options
imports:
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }
    - { resource: "EXT:rte_ckeditor_fontawesome/Configuration/RTE/PluginFA5.yaml" }

# Add configuration for the editor
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  config:
    contentsCss: ["EXT:rte_ckeditor/Resources/Public/Css/contents.css", "EXT:mh_demo_dist/Resources/Public/Styles/RTE.css"]
    resize_enabled: true
    resize_dir: 'both'
    uiColor: "#F8F8F8"

    format_tags: "p;h1;h2;h3;h4;h5;h6;pre"

    stylesSet:
      # link styles
      - { name: "Button", element: "a", attributes: { class: "button"} }
      - { name: "Button Solid", element: "a", attributes: { class: "button-solid"} }
      # block level styles
      - { name: "align-left", element: ['h1', 'h2', 'h3', 'h4','h5', 'h6', 'p', 'td', 'th'], attributes: { 'class': 'text-left' }}
      - { name: "align-center", element: ['h1', 'h2', 'h3', 'h4','h5', 'h6', 'p', 'td', 'th'], attributes: { 'class': 'text-center' }}
      - { name: "align-right", element: ['h1', 'h2', 'h3', 'h4','h5', 'h6', 'p', 'td', 'th'], attributes: { 'class': 'text-right' }}
      - { name: "align-justify", element: ['h1', 'h2', 'h3', 'h4','h5', 'h6', 'p', 'td', 'th'], attributes: { 'class': 'text-justify' }}
      - { name: "Subtitle", element: ['h1', 'h2', 'h3', 'h4','h5', 'h6'], attributes: { 'class': 'subtitle' }}
      - { name: "Tiny Paragraph", element: "p", attributes: { 'class': 'p-tiny' }}
      - { name: "Lead", element: "p", attributes: { 'class': 'lead' }}
      # Inline styles
      - { name: "Important", element: "span", attributes: { 'class': 'c-important' }}
      - { name: "Tiny Word", element: "span", attributes: { 'class': 'c-tiny' }}
      # List styles
      - { name: 'UL Style 1', element: 'ul', attributes: { 'class': 'ul-style1' } }
      - { name: 'UL Style 2', element: 'ol', attributes: { 'class': 'ul-style2' } }
      - { name: 'No UL Bullets', element: 'ul', attributes: { 'class': 'no-bullet' } }

    toolbarGroups:
      - { name: clipboard, groups: [clipboard, undo] }
      - { name: editing,   groups: [find, selection, spellchecker] }
      - { name: links }
      - { name: insert }
      - { name: tools }
      - { name: table }
      - { name: tabletools }
      - { name: document,  groups: [ mode, document, doctools ] }
      - { name: others }
      - "/"
      - { name: basicstyles, groups: [ basicstyles, align, cleanup ] }
      - { name: paragraph,   groups: [ list, indent, blocks, align, bidi ] }
      - "/"
      - { name: styles, groups: [ styles, format ] }

#    toolbar:
#      - [ 'Link', 'Unlink', 'Anchor', 'Table', 'SpecialChar', 'CodeSnippet', 'Youtube' ]
#      - [ 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock' ]
#      - [ 'NumberedList', 'BulletedList']
#      - [ 'Cut', 'Copy', 'Paste', 'PasteText', 'PasteFromWord' ]
#      - [ 'Undo', 'Redo', 'RemoveFormat', 'ShowBlocks' ]
#      - [ 'mode', 'document', 'doctools' ]
#      - [ 'others' ]
#      - "/"
#      - [ 'Format', 'Styles' ]
#      - [ 'Bold', 'Italic', 'Underline', 'Blockquote', 'Subscript', 'Superscript']
#      - [ 'Source', 'Maximize', 'About']

    extraPlugins:
      - justify
      - specialchar
      - showblocks
      - codesnippet

    justifyClasses:
      - text-left
      - text-center
      - text-right
      - text-justify

#    codeSnippet_theme: 'monokai_sublime'

#    #external config
#      youtube_width: '550'

    removeButtons:


processing:
  allowTags:
    - iframe
